\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - dD Spatial Searching

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Midpoint_of_max_spread< Traits, SpatialSeparator > Class Template Reference
Splitter Classes

`#include <CGAL/Splitters.h>`

## Definition

Implements the midpoint of max spread splitting rule.

A rectangle is cut through \( (\mathrm{Mind}+\mathrm{Maxd})/2\) orthogonal to the dimension with the maximum point spread \( [\mathrm{Mind},\matrm{Maxd}]\).

Parameters

Expects for the first template argument a model of the concept `SearchTraits`, for example the type `CGAL::Search_traits_3< Cartesian<double> >`.

Expects for the second template argument a model of the concept `SpatialSeparator`. It has as default value the type, `CGAL::Plane_separator<Traits::FT>`

Is Model Of:
  `Splitter`

See Also
  `Splitter`
  `SpatialSeparator`

## Creation
| Midpoint_of_max_spread ()
| Default constructor.
| Midpoint_of_max_spread (unsigned int bucket_size)
| Constructor.